package com.ylx.banner.domain.vo;

import com.ylx.banner.domain.Banner;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("客户端轮播图VO")
@Data
public class BannerVO {

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("图片地址")
    private String imgUrl;

    @ApiModelProperty("跳转地址，支持HTTP链接或内部路由")
    private String jumpUrl;

    public BannerVO(Banner entity) {
        this.id = entity.getId();
        this.title = entity.getTitle();
        this.imgUrl = entity.getImgUrl();
        this.jumpUrl = entity.getJumpUrl();
    }

}
